package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @time: 2024-04-13
 */
@Data
public class BehospitalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 住院科室名称
     */
    private String behDeptName;

    /**
     * 入院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 年龄
     */
    private String age;

    /**
     * 病案首页得分
     */
    private Double scoreRes;

    /**
     * 评分类型(1：机器，2：人工)
     */
    private String gradeType;


    private String directorDoctorName ;

    private String behDoctorName;

    /**
     * 质控问题数
     */
    private String num;

    /**
     * 审核状态
     */
    private String status;

    /**
     * 反馈状态
     */
    private String feedbackStatus;
}
