package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2024/4/14 13:07
 */
@Getter
@Setter
public class MsgApiDTO {
    //明细主键
    private Long id;
    //得分
    private BigDecimal score;
    //提示信息
    private String msg;
    // 控费标识(1：是控费条目，2：不是控费条目)
    private Integer drgs;
    // 质控形式(1：形式质控，2：内涵质控)
    private Integer type;
    //提示信息
    private String code;
    //提示信息
    private String info;
    //单项否决
    private String isReject;
    //标准提示信息
    private String standardMsg;
    //规则类型
    private Integer ruleType;
    // 操作类型(1：新增，2：删除，3：修改)
    private Integer optType;
    // 初始类型(1：机器，2：人工)
    private Integer gradeType;
    // 条目ID
    private Long casesEntryId;
    //是否驳回条目
    private String isRejectedEntry = "0";
    //驳回理由
    private String rejectedReason;
    //规则状态
    private Integer casesEntryStatus = 0;
    // 逻辑删除标志位
    private String isDeleted;
    //模块名称
    private String modelName;
    //模块id
    private String modelId;
    //模块ID
    private Long casesId;
    //模块分数
    private BigDecimal casesScore;
    // 记录修改时间,如果时间是1970年则表示纪录未修改
    private Date gmtModified;
    // 记录修改人id
    private String modifier;
    // 记录修改人姓名
    private String linkman;
    // 缺陷说明
    private String remark;
    // 条目id对应页面数据的key值
    private List<Long> pageKeyList = new ArrayList<>();
    //是否申诉条目
    private String isAppealEntry = "0";
    // 申诉理由
    private String appealExplain;

    @ApiModelProperty("申诉条目id")
    private Long appealInfoId = 0L;

    @ApiModelProperty("审核状态 0:待审核|1:驳回|2:通过")
    private String exampleStatus = "0";

    @ApiModelProperty(value = "操作类型")
    private String appealOperationType = "0";

    @ApiModelProperty(value = "审核人")
    private String reviewer ="-1";

    @ApiModelProperty(value = "审核时间")
    private Date exampleDate;

}
