package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 核查表
 * </p>
 *
 * @author wangfeng
 * @time: 2024-07-06
 */
@Data
public class MedExamineInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 核查人id
     */
    private Long checkId;

    /**
     * 核查人
     */
    private String checkName;

    /**
     * 核查时间
     */
    private Date checkTime;

    /**
     * 核查状态（0未核查，1已核查）
     */
    private Integer status;

    /**
     * 审核状态（0通过，1驳回）
     */
    private Integer action = 0;

    @Override
    public String toString() {
        return "MedCheckInfo{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", behospitalCode=" + behospitalCode +
                ", hospitalId=" + hospitalId +
                ", checkId=" + checkId +
                ", checkName=" + checkName +
                ", checkTime=" + checkTime +
                ", status=" + status +
                ", action=" + action +
                "}";
    }
}
