package com.diagbot.vo;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @time: 2024-04-13
 */
@Data
@EqualsAndHashCode(callSuper=false)
public class BehospitalPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 入院时间开始时间
     */
    private Date behosDateStart;

    /**
     * 入院时间结束时间
     */
    private Date behosDateEnd;

    /**
     * 出院时间开始时间
     */
    private Date leaveHosDateStart;

    /**
     * 出院时间结束时间
     */
    private Date leaveHosDateEnd;

    /**
     * 住院科室名称
     */
    private String deptName;

    /**
     * 住院科室id
     */
    private String deptId;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 医生id
     */
    private String doctorId;

    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 医生工号
     */
    private String doctorCode;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";

    /**
     * 审核状态（1-待审核 2-已通过 3-已驳回 4-未申诉 5-已申诉）
     */
    private String status = "0";

    /**
     * 最小分值
     */
    private Integer minScore;
    /**
     * 最大分值
     */
    private Integer maxScore = 100;


}
