package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class MedAppealInfoVO {

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病人住院ID", required = true)
    @NotBlank(message = "病人住院ID不能为空")
    private String behospitalCode;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "单项否决（1-单项否决 0-非）")
    private Integer isReject;

    @ApiModelProperty(value = "质控条目(新增已有操作才有值)")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息(新增已有操作才有值)")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值(新增已有操作才有值)")
    private BigDecimal value;

    @ApiModelProperty(value = "申诉人id")
    private String claimantId;

    @ApiModelProperty(value = "申诉人姓名")
    private String claimantName;

    @ApiModelProperty(value = "申诉说明", required = true)
    @NotBlank(message = "申诉说明不能为空")
    private String appealExplain;

    @ApiModelProperty(value = "审核人id", required = true)
    private Long examineId;

    @ApiModelProperty(value = "备注")
    private String remark;
}
