package com.diagbot.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 驳回
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class RejectedVo {
    @ApiModelProperty(value = "医院ID",required = true)
    @NotNull(message = "医院ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "病人住院ID", required = true)
    @NotBlank(message = "病人住院ID不能为空")
    private String behospitalCode;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "条目ID")
    @NotBlank(message = "条目ID不能为空")
    private Long casesEntryId;

    @ApiModelProperty(value = "单项否决（1-单项否决 0-非）")
    private Integer isReject;

    @ApiModelProperty(value = "质控条目")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值")
    private BigDecimal value;

    @ApiModelProperty(value = "审核人id", required = true)
    private Long examineId;

    @ApiModelProperty(value = "驳回理由")
    private String rejectedReason;

}
