package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.*;
import com.diagbot.facade.ConsoleByDoctorFacade;
import com.diagbot.facade.ConsoleFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhaops
 * @Description:
 * @date 2020/5/9 13:20
 **/
@RequestMapping("/consoleByDept")
@RestController
@Api(value = "科室统计相关API", tags = { "科室统计相关API" })
@SuppressWarnings("unchecked")
public class ConsoleByDeptController {
    @Autowired
    private ConsoleFacade consoleFacade;

    @Autowired
    private ConsoleByDoctorFacade consoleByDoctorFacade;

    @ApiOperation(value = "用户关联科室[by:zhaops]",
            notes = "")
    @PostMapping("/getDept")
    @SysLogger("getDept")
    public RespDTO<List<DeptBaseDTO>> getDept() {
        List<DeptBaseDTO> data = consoleFacade.getDept();
        return RespDTO.onSuc(data);
    }

}
